Subject: Re: Info reader fails to follow xrefs to anchors

From: Juri Linkov <[email-masked]>
Date: Wed, 15 Jul 2015 02:16:32 +0300

> Juri, do you see any flaws in the above description?  I couldn't
> reproduce the problem reported in bug #14125, so I'm not sure why the
> fix you installed was even needed, or where my reasoning is wrong.  I
> tried both Emacs 24.3 (for which the bug was filed) and later
> versions, and they all work correctly with the Info file produced from
> the Texinfo source attached to that bug report, no matter if I produce
> the Info file with makeinfo 4.13 or makeinfo 5.1 or 6.0.  So I'm
> unsure what problems you saw with the original code in
> Info-read-subfile.  Could you describe those problems in more detail
> than you did in the bug discussions?

I'm attaching here all the files that I used to fix bug#14125,
so you could compare the output of different makeinfo versions
and see the problem.  The command line used to translate
Texinfo files was: makeinfo --split-size=2000 test.texi